Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(46)

Issue 1178093002: Correctly send the 'HTTPS' header for top-level navigations. (Closed)

Created:
5 years, 5 months ago by Mike West
Modified:
5 years, 5 months ago
CC:
blink-reviews, gavinp+loader_chromium.org, Nate Chapin, tyoshino+watch_chromium.org, Yoav Weiss
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Correctly send the 'HTTPS' header for top-level navigations. We don't have an active Document during top-level navigation, which I didn't account for when adding the 'HTTPS' header. This patch adjusts the expectations to match reality. BUG=495991 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=197016

Patch Set 1 #

Patch Set 2 : Tests. #

Messages

Total messages: 13 (4 generated)
Mike West
Mind taking a look at this, Jochen?
5 years, 5 months ago (2015-06-11 10:53:49 UTC) #2
jochen (gone - plz use gerrit)
is it possible to test this?
5 years, 5 months ago (2015-06-11 11:26:33 UTC) #3
Mike West
On 2015/06/11 at 11:26:33, jochen wrote: > is it possible to test this? Via unit ...
5 years, 5 months ago (2015-06-11 11:29:31 UTC) #4
Mike West
On 2015/06/11 at 11:29:31, Mike West wrote: > On 2015/06/11 at 11:26:33, jochen wrote: > ...
5 years, 5 months ago (2015-06-11 12:17:15 UTC) #5
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1178093002/20001
5 years, 5 months ago (2015-06-12 03:54:33 UTC) #7
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
5 years, 5 months ago (2015-06-12 05:04:49 UTC) #9
jochen (gone - plz use gerrit)
lgtm
5 years, 5 months ago (2015-06-12 08:29:30 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1178093002/20001
5 years, 5 months ago (2015-06-12 08:31:06 UTC) #12
commit-bot: I haz the power
5 years, 5 months ago (2015-06-12 08:35:23 UTC) #13
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=197016

Powered by Google App Engine
This is Rietveld 408576698